Summary:	X-Resource extension to provide 'top' like statistics
Summary(pl.UTF-8):	Rozszerzenie X-Resource dostarczające statystyki w stylu "top"
Name:		xrestop
Version:	0.4
Release:	3
License:	GPL
Group:		Applications
Source0:	http://projects.o-hand.com/sources/xrestop/%{name}-%{version}.tar.gz 
# Source0-md5:	d8a54596cbaf037e62b80c4585a3ca9b
URL:		http://www.freedesktop.org/Software/xrestop
BuildRequires:	ncurses-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xrestop uses the X-Resource extension to provide 'top' like statistics
of each connected X11 client's server side resource usage. It is
intended as a developer tool to aid more efficient server resource
usage and debug server side leakage.

It should work with any server supporting the X-Resource extension
(fd.o server and XFree86 4.3+, 'xdpyinfo|grep Resource' should tell
you if your server has it).

%description -l pl.UTF-8
Xrestop używa rozszerzenia X-Resource, aby dostarczyć statystyki w
stylu "top" wykorzystania zasobów po stronie serwera przez każdego
podłączonego klienta X11. Jest to narzędzie przeznaczone dla
programistów, mające pomóc w bardziej wydajnym wykorzystaniu zasobów
serwera i szukaniu wycieków zasobów po stronie serwera.

Powinien działać z każdym serwerem obsługującym rozszerzenie
X-Resource (serwer fd.o oraz XFree86 4.3+ - "xdpyinfo|grep Resource"
pokaże, czy serwer je ma).

%prep
%setup -q

%build
CPPFLAGS="-I/usr/include/ncurses"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README 
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xrestop.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3146350
- ncurses rebuild
- release 3 (by relup.sh)

* Wed Jan 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d5a4584
- release 2

* Sun Feb 18 2007 czarny <czarny@pld-linux.org> f22fc0d
- up to 0.4
- moved to th => BR: xorg-lib-libXres-devel

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2093a6f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dee10a2
- converted to UTF-8

* Thu Sep 09 2004 darekr <darekr@pld-linux.org> 11ab2b3
- updated to 0.3
- add README to %doc

* Thu Dec 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 94e0d21
- pl

* Wed Dec 24 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 1125404
- initial pld release

